import pygame
from pygame.locals import *

class Box(pygame.sprite.Sprite):
    def __init__(self, color, initial_position):
        pygame.sprite.Sprite.__init__(self)
        self.image = pygame.Surface((100,100),pygame.SRCALPHA,32)
        pygame.draw.rect(self.image,color,(0,0,100,100))
        self.rect = self.image.get_rect()
        self.rect.topleft = initial_position

    def update(self, pos):
        self.rect.center = pos

pygame.init()

screen = pygame.display.set_mode((640, 480), 0, 32)
box1 = Box((255,0,0),(200,200))
box2 = Box((0,100,255),(100,10))
clock = pygame.time.Clock()


while True:
    for event in pygame.event.get():
        if event.type == QUIT:
            exit()
        if event.type == MOUSEMOTION:
            box2.update(pygame.mouse.get_pos())
            if box1.rect.colliderect(box2.rect):
                print "collide"
            else:
                print "no"

    screen.fill((100, 200, 0))
    screen.blit(box1.image,box1.rect)
    screen.blit(box2.image,box2.rect)
    pygame.display.update()
