import pygame
import math
from pygame.locals import *

class Box(pygame.sprite.Sprite):
    def __init__(self, color, initial_position):
        pygame.sprite.Sprite.__init__(self)
        self.image = pygame.Surface((100,100),pygame.SRCALPHA,32)
        pygame.draw.rect(self.image,color,(0,0,100,100))
        self.rect = self.image.get_rect()
        self.rect.topleft = initial_position

    def update(self, pos):
        self.rect.center = pos

pygame.init()
screen = pygame.display.set_mode((640, 480), 0, 32)
boxes = ([(255,0,0),(0,0)],[(0,255,0),(200,0)])
box1 = Box((0,100,255),(100,10))
sprites = pygame.sprite.Group()
for box in boxes:
    sprites.add(Box(box[0],box[1]))

clock = pygame.time.Clock()

while True:
    for event in pygame.event.get():
        if event.type == QUIT:
            exit()
        if event.type == MOUSEMOTION:
            box1.update(pygame.mouse.get_pos())
            if pygame.sprite.spritecollide(box1,sprites,False):
                print "collide"
            else:
                print "no"
    screen.fill((0, 0, 0))
    sprites.draw(screen)
    screen.blit(box1.image,box1.rect)
    pygame.display.update()
